Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.ocsp
Class OCSPRespGenerator

    java.lang.Object
      org.bouncycastle.ocsp.OCSPRespGenerator

    public class OCSPRespGenerator

extends java.lang.Object

base generator for an OCSP response - at the moment this only supports the generation of responses containing BasicOCSP responses.

Field Summary
`static int` `INTERNAL_ERROR`
`static int` `MALFORMED_REQUEST`
`static int` `SIG_REQUIRED`
`static int` `SUCCESSFUL`
`static int` `TRY_LATER`
`static int` `UNAUTHORIZED`

Constructor Summary
`OCSPRespGenerator()`

Method Summary
`OCSPResp` `generate(int status, java.lang.Object response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESSFUL

    public static final int SUCCESSFUL

See Also:
  Constant Field Values

### MALFORMED_REQUEST

    public static final int MALFORMED_REQUEST

See Also:
  Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

### TRY_LATER

    public static final int TRY_LATER

See Also:
  Constant Field Values

### SIG_REQUIRED

    public static final int SIG_REQUIRED

See Also:
  Constant Field Values

### UNAUTHORIZED

    public static final int UNAUTHORIZED

See Also:
  Constant Field Values

Constructor Detail

### OCSPRespGenerator

    public OCSPRespGenerator()

Method Detail

### generate

    public OCSPResp generate(int status,
                             java.lang.Object response)
                      throws OCSPException

  Throws:
    `OCSPException`

Bouncy Castle Cryptography Library 1.45